Get a team
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/teams/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "jqfwg345gi25n5ju2yz5iz6m",
"description": "<string>",
"tenantName": "<string>",
"accountId": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"type": "team",
"name": "<string>",
"members": [
"<string>"
],
"displayName": "<string>",
"description": "<string>",
"managers": [
"<string>"
],
"ownedBy": {
"account": "<string>"
},
"tags": {},
"identity_provider_mapping": [
{
"identity_provider": "<string>",
"value": "<string>"
}
]
},
"isEditable": true,
"members": [
"<string>"
],
"metadata": {
"createdByScim": true,
"scimExternalId": "<string>"
},
"roles": [
"<string>"
]
}
}Teams
Get a team
Get a single team by its ID.
GET
/
api
/
svc
/
v1
/
teams
/
{id}
Get a team
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/teams/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "jqfwg345gi25n5ju2yz5iz6m",
"description": "<string>",
"tenantName": "<string>",
"accountId": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"type": "team",
"name": "<string>",
"members": [
"<string>"
],
"displayName": "<string>",
"description": "<string>",
"managers": [
"<string>"
],
"ownedBy": {
"account": "<string>"
},
"tags": {},
"identity_provider_mapping": [
{
"identity_provider": "<string>",
"value": "<string>"
}
]
},
"isEditable": true,
"members": [
"<string>"
],
"metadata": {
"createdByScim": true,
"scimExternalId": "<string>"
},
"roles": [
"<string>"
]
}
}Authorizations
jwtjwt
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
System-generated team ID.
Example:
"jqfwg345gi25n5ju2yz5iz6m"
Response
The team with the given ID.
The requested team.
Show child attributes
Show child attributes
Was this page helpful?
⌘I